﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows.Controls;
using System.Windows.Media;

namespace Chart_SL_PieChart
{
	public partial class MainPage : UserControl
	{
        
		public MainPage()
		{
            
			InitializeComponent();
			this.DataContext = new ViewModel();

            this.PieChart.Palette = new Telerik.Windows.Controls.ChartView.ChartPalette();
            this.PieChart.Palette.GlobalEntries.Add(new Telerik.Windows.Controls.ChartView.PaletteEntry() { Fill = new SolidColorBrush(Colors.Red) });
            this.PieChart.Palette.GlobalEntries.Add(new Telerik.Windows.Controls.ChartView.PaletteEntry() { Fill = new SolidColorBrush(Colors.Green) });
            this.PieChart.Palette.GlobalEntries.Add(new Telerik.Windows.Controls.ChartView.PaletteEntry() { Fill = new SolidColorBrush(Colors.Blue) });
            this.PieChart.Palette.GlobalEntries.Add(new Telerik.Windows.Controls.ChartView.PaletteEntry() { Fill = new SolidColorBrush(Colors.Yellow) });
		}
	}

	public class ViewModel
	{
		public ObservableCollection<DateItem> Data { get; private set; }
 
		private static readonly Random rnd = new Random(123);
 
		public ViewModel()
		{
			this.Data = GetTestData(10);
		}
 
		private static ObservableCollection<DateItem> GetTestData(int dataSize)
		{
			var result = new ObservableCollection<DateItem>();
 
			for (int i = 0; i < dataSize; i++)
			{
				result.Add(new DateItem
				{
					MyLabel = "X" + i,
                    Value = rnd.Next(10, 100),
					SecondLabel = "Label" + i
				});
			}
 
			return result;
		}
	}
 
	public class DateItem
	{
		public string MyLabel { get; set; }

		public string SecondLabel { get; set; }

        public double? Value { get; set; }
	}
	
}